Xalan-Java: Class TracerEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xslt.trace
Class TracerEvent

    java.lang.Object
      |
      +--org.apache.xalan.xslt.trace.TracerEvent

public class TracerEvent
extends java.lang.Object
implements java.util.EventListener

**For advanced use only** Parent class of events generated for tracing the progress of the XSL processor.

Field Summary
`QName` | `m_mode` **For advanced use only** The current mode.
`XSLTEngineImpl` | `m_processor` **For advanced use only** The XSLT processor instance.
`org.w3c.dom.Node` | `m_sourceNode` **For advanced use only** The current context node.
`org.w3c.dom.Node` | `m_sourceTree` **For advanced use only** The input source tree.
`ElemTemplateElement` | `m_styleNode` **For advanced use only** The node in the style tree where the event occurs.

Constructor Summary
`TracerEvent(XSLTEngineImpl processor, org.w3c.dom.Node sourceTree, org.w3c.dom.Node sourceNode, QName mode, ElemTemplateElement styleNode)` **For advanced use only** Create an event originating at the given node of the style tree.

Method Summary
`static java.lang.String` | `printNode(org.w3c.dom.Node n)` **For advanced use only** Returns a string representation of the node.
`static java.lang.String` | `printNodeList(org.w3c.dom.NodeList l)` **For advanced use only** Returns a string representation of the node list.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_styleNode

    public final ElemTemplateElement m_styleNode

  **For advanced use only** The node in the style tree where the event occurs.

### m_processor

    public final XSLTEngineImpl m_processor

  **For advanced use only** The XSLT processor instance.

### m_sourceTree

    public final org.w3c.dom.Node m_sourceTree

  **For advanced use only** The input source tree.

### m_sourceNode

    public final org.w3c.dom.Node m_sourceNode

  **For advanced use only** The current context node.

### m_mode

    public final QName m_mode

  **For advanced use only** The current mode.

Constructor Detail

### TracerEvent

    public TracerEvent(XSLTEngineImpl processor,
                       org.w3c.dom.Node sourceTree,
                       org.w3c.dom.Node sourceNode,
                       QName mode,
                       ElemTemplateElement styleNode)

  **For advanced use only** Create an event originating at the given node of the style tree.
  Parameters:
    `processor` - The XSLT Processor.
    `sourceTree` - The input source tree.
    `sourceNode` - The current context node.
    `mode` - The current mode.
    `m_styleNode` - node in the style tree reference for the event. Should not be null. That is not enforced.

Method Detail

### printNode

    public static java.lang.String printNode(org.w3c.dom.Node n)

  **For advanced use only** Returns a string representation of the node. The string returned for elements will contain the element name and any attributes enclosed in angle brackets. The string returned for attributes will be of form, "name=value."
  Parameters:
    `n` - any DOM node. Must not be null.
  Returns:
    a string representation of the given node.

### printNodeList

    public static java.lang.String printNodeList(org.w3c.dom.NodeList l)

  **For advanced use only** Returns a string representation of the node list. The string will contain the list of nodes inside square braces. Elements will contain the element name and any attributes enclosed in angle brackets. Attributes will be of form, "name=value."
  Parameters:
    `l` - any DOM node list. Must not be null.
  Returns:
    a string representation of the given node list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.